ENE CIR Receiver chip don't work

Bug #501923 reported by Jordi
26
This bug affects 3 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Undecided
Maxim Levitsky

Bug Description

I'm an Ubuntu 9.10 64 bits user, and I get a Toshiba A500-141 laptop.

I try to use the IRDA Remote controller (RC6ir), and the Receiver is an ENE CIR Receiver, model ENE0200.
jordi@jordi-ubuntu:~$ lspnp
00:00 PNP0a08 (unknown)
00:01 ENE0200 (unknown)
00:02 PNP0200 AT DMA controller
00:03 PNP0103 High-Precision Event Timer
00:04 PNP0c04 Math coprocessor
00:05 PNP0c02 Motherboard resources
00:06 PNP0b00 AT real-time clock
00:07 PNP0303 IBM enhanced keyboard (101/102-key, PS/2 mouse support)
00:08 SYN0712 (unknown)
00:09 PNP0c02 Motherboard resources
jordi@jordi-ubuntu:~$

I'm looking for the drivers but I think it isn't supported in linux.

Awaiting your news.

Thank you very much

ProblemType: Bug
Architecture: amd64
CheckboxSubmission: bcebcd0afb07ebec631dbc27ef4e6ef0
CheckboxSystem: b1865df84255b8716d3bcc269ff410d1
Date: Thu Dec 31 17:02:29 2009
DistroRelease: Ubuntu 9.10
ExecutablePath: /usr/bin/yelp
InstallationMedia: Ubuntu 9.10 "Karmic Koala" - Release amd64 (20091027)
NonfreeKernelModules: fglrx
Package: yelp 2.28.0-0ubuntu2
ProcEnviron:
 LANG=es_ES.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.31-16.53-generic
SourcePackage: yelp
Uname: Linux 2.6.31-16-generic x86_64

Revision history for this message
Jordi (pelegrin-jordi) wrote :
Revision history for this message
David Tombs (dgtombs) wrote :

Assigning to linux as it regards a kernel driver.

affects: ubuntu → linux (Ubuntu)
Andy Whitcroft (apw)
tags: added: karmic
Revision history for this message
Maxim Levitsky (maximlevitsky) wrote :

I have written a driver for ENE0100.
Accidentally I didn't notice that it will support ENE0200 and ENE0201, because these are basicly same devices, but for laptops that ship remotes that aren't supported my MS IR subsystem (so ENE had to implement their own decoding in the driver....)

Try the attached patch against lirc tree. I commit it as soon as I get reports that my driver works for ENE0200/ENE0201

Changed in linux (Ubuntu):
assignee: nobody → Maxim Levitsky (maximlevitsky)
Revision history for this message
Jordi (pelegrin-jordi) wrote : Re: [Bug 501923] Re: ENE CIR Receiver chip don't work

Hi Maxim,
I've tried to apply the patch from console with "#patch < patch.diff", but I
think it's wrong.

Can you send me the right instructions?
Best regards,
Jordi.

2010/3/18 Maxim Levitsky <email address hidden>

> I have written a driver for ENE0100.
> Accidentally I didn't notice that it will support ENE0200 and ENE0201,
> because these are basicly same devices, but for laptops that ship remotes
> that aren't supported my MS IR subsystem (so ENE had to implement their own
> decoding in the driver....)
>
> Try the attached patch against lirc tree. I commit it as soon as I get
> reports that my driver works for ENE0200/ENE0201
>
> ** Changed in: linux (Ubuntu)
> Assignee: (unassigned) => Maxim Levitsky (maximlevitsky)
>
> ** Patch added: "patch.diff"
> http://launchpadlibrarian.net/41234068/patch.diff
>
> --
> ENE CIR Receiver chip don't work
> https://bugs.launchpad.net/bugs/501923
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “linux” package in Ubuntu: New
>
> Bug description:
> I'm an Ubuntu 9.10 64 bits user, and I get a Toshiba A500-141 laptop.
>
> I try to use the IRDA Remote controller (RC6ir), and the Receiver is an ENE
> CIR Receiver, model ENE0200.
> jordi@jordi-ubuntu:~$ lspnp
> 00:00 PNP0a08 (unknown)
> 00:01 ENE0200 (unknown)
> 00:02 PNP0200 AT DMA controller
> 00:03 PNP0103 High-Precision Event Timer
> 00:04 PNP0c04 Math coprocessor
> 00:05 PNP0c02 Motherboard resources
> 00:06 PNP0b00 AT real-time clock
> 00:07 PNP0303 IBM enhanced keyboard (101/102-key, PS/2 mouse support)
> 00:08 SYN0712 (unknown)
> 00:09 PNP0c02 Motherboard resources
> jordi@jordi-ubuntu:~$
>
> I'm looking for the drivers but I think it isn't supported in linux.
>
> Awaiting your news.
>
> Thank you very much
>
> ProblemType: Bug
> Architecture: amd64
> CheckboxSubmission: bcebcd0afb07ebec631dbc27ef4e6ef0
> CheckboxSystem: b1865df84255b8716d3bcc269ff410d1
> Date: Thu Dec 31 17:02:29 2009
> DistroRelease: Ubuntu 9.10
> ExecutablePath: /usr/bin/yelp
> InstallationMedia: Ubuntu 9.10 "Karmic Koala" - Release amd64 (20091027)
> NonfreeKernelModules: fglrx
> Package: yelp 2.28.0-0ubuntu2
> ProcEnviron:
> LANG=es_ES.UTF-8
> SHELL=/bin/bash
> ProcVersionSignature: Ubuntu 2.6.31-16.53-generic
> SourcePackage: yelp
> Uname: Linux 2.6.31-16-generic x86_64
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/501923/+subscribe
>

Revision history for this message
Maxim Levitsky (maximlevitsky) wrote :

@Jordi. You really need to read some HOWTOs to compiling and patching. Its takes time, I know.

Here you need to: (assuming lirc source is in 'lirc' folder, and patch.diff is inside it

cd lirc
patch -p1 < patch.diff

tags: added: patch
Revision history for this message
Maxim Levitsky (maximlevitsky) wrote :

I committed that patch to CVS anyway. Please test

Revision history for this message
Maxim Levitsky (maximlevitsky) wrote :

I have confirmation that this hardware works just fine, just like I thought.

If its possible include that patch in ubuntu

Revision history for this message
Maxim Levitsky (maximlevitsky) wrote :

Some incarnations of this device support transmitting.

I have written a code to support it.
Anybody need that feature, and willing to debug it?

Revision history for this message
Maxim Levitsky (maximlevitsky) wrote :

Note that I can't test it, because my ENE0100 doesn't have TX capability

Revision history for this message
Maxim Levitsky (maximlevitsky) wrote :

Initial TX support

Revision history for this message
Jeremy Foshee (jeremyfoshee) wrote :

Hi Jordi,

If you could also please test the latest upstream kernel available that would be great. It will allow additional upstream developers to examine the issue. Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Once you've tested the upstream kernel, please remove the 'needs-upstream-testing' tag. This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the 'needs-upstream-testing' text. Please let us know your results.

Thanks in advance.

    [This is an automated message. Apologies if it has reached you inappropriately; please just reply to this message indicating so.]

tags: added: needs-upstream-testing
tags: added: kj-triage
Changed in linux (Ubuntu):
status: New → Incomplete
Revision history for this message
Jordi (pelegrin-jordi) wrote :

Hi all,

I've tested de patch, but appears an error:
Hunk #1 FAILED at 599.
1 out of 1 hunk FAILED -- saving rejects to file drivers/lirc_ene0100/lirc_ene0100.c.rej

Someone knows the mean?

Thank you very much.

Revision history for this message
Maxim Levitsky (maximlevitsky) wrote :

@Jordi,

Sorry that I didn't mention, but everything is committed to the CVS.
You are welcome to test it, especially the transmitters if you have them.

Revision history for this message
Maxim Levitsky (maximlevitsky) wrote :

I am closing that bug because I committed every code necessary to support this device.
As usual you are welcome to test it.

lirc 0.8.7 will have all code I written so far

Changed in linux (Ubuntu):
status: Incomplete → Fix Committed
Revision history for this message
Jordi (pelegrin-jordi) wrote :

In Lirc web page, I can't find lirc 0.8.7, where can I find it?

Thank you very much

Revision history for this message
Maxim Levitsky (maximlevitsky) wrote :

Its isn't yet released.

But you can get the prerelease at
http://www.lirc.org/software/snapshots/lirc-0.8.7pre1.tar.bz2

But anyway the only thing is that really 'needed' to support that device is the patch I send here long ago that just adds new PNP IDs.
The rest of the work I did was to implement transmitter support (you are welcome to test it)

Revision history for this message
Alexander Skiba (ghostlyrics) wrote :

I'd like to test the new snapshot, just how do I do that? I didn't really understand the documentation the last time I tried with your patch.

Revision history for this message
Jordi (pelegrin-jordi) wrote :

I'm trying to install http://www.lirc.org/software/snapshots/lirc-0.8.7pre1.tar.bz2.
I extract .bz2 file and type in console:
                jordi@jordi-ubuntu:~/Documentos/Lirc/lirc-0.8.7pre1$ ./setup.sh && make install
                dialog not found!

Can you help me?

Thank you very much in advanced

Revision history for this message
Maxim Levitsky (maximlevitsky) wrote :

You need to install 'dialog' program, but there is a better way.

Just do:

./configure --with-driver=ene0100
make
sudo make install

then load the driver with
sudo modprobe lirc_ene0100 debug=1

(or reboot the system, because it will be loaded automaticly)

Revision history for this message
Maxim Levitsky (maximlevitsky) wrote :

you can also join #lirc on freenode, I can help you futher there.

Revision history for this message
Maxim Levitsky (maximlevitsky) wrote :

*NOTE*

If you want to use this version of lirc please add the attached udev rule to /etc/udev/rules.d
it creates symlink from /dev/lirc0 to /dev/lirc.

Also I recommend to use attached upstart rule to start lirc.
It also creates /var/run/lirc

Both symlink and /var/run/lirc must be created on each boot!

Revision history for this message
Maxim Levitsky (maximlevitsky) wrote :
Revision history for this message
Maxim Levitsky (maximlevitsky) wrote :
Revision history for this message
Maxim Levitsky (maximlevitsky) wrote :

Also please add a line

uinput

to /etc/modules

Revision history for this message
Alexander Skiba (ghostlyrics) wrote :

During the initial test I missed something: apparently only every second press is used in X. Will test this again after some time.

Revision history for this message
Maxim Levitsky (maximlevitsky) wrote :

@Alexander Skiba, its likely that the lircd.conf we created isn't very correct.
irrecord reverted to use raw codes, and I think because you didn't follow instructions pecisly, or it is a bit broken.
(the ENE hardware isn't very precise ether)

Please try the attached generic RC6 config file (taken from lirc tarball)
(It doesn't contain actual keycodes, only description of RC6 protocol your remote is using)

use it with irrecord to append the key-codes your remote uses.

Revision history for this message
Jordi (pelegrin-jordi) wrote :

Hi all,
I've tested the Maxim Levitsky instructions, bud I have some problems with the RC6.
I've downloaded the RC6 attached file, and I tried this instructions:
     sudo /etc/init.d/lirc stop
     sudo irrecord --device=/dev/lirc0 RC-6.conf

But, this is the result:
   irrecord: no data for 10 secs, aborting
   irrecord: gap not found, can't continue

It's seem like the receiver doesn't work.
What's happend?

Thank you in advanced

Revision history for this message
Maxim Levitsky (maximlevitsky) wrote :

@Jordi did you press buttons oon the remote :-)

Revision history for this message
Maxim Levitsky (maximlevitsky) wrote :

please try this patch

Changed in linux (Ubuntu):
status: Fix Committed → In Progress
Revision history for this message
Jordi (pelegrin-jordi) wrote : Re: [Bug 501923] [NEW] ENE CIR Receiver chip don't work

Hi Maxim, I'm on holidays, I'll try the patch in two weeks.

Thank you very much

2010/8/22, Maxim Levitsky <email address hidden>:
> please try this patch
>
> ** Changed in: linux (Ubuntu)
> Status: Fix Committed => In Progress
>
> ** Patch added: "test.patch"
>
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/501923/+attachment/1510418/+files/test.patch
>
> --
> ENE CIR Receiver chip don't work
> https://bugs.launchpad.net/bugs/501923
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “linux” package in Ubuntu: In Progress
>
> Bug description:
> I'm an Ubuntu 9.10 64 bits user, and I get a Toshiba A500-141 laptop.
>
> I try to use the IRDA Remote controller (RC6ir), and the Receiver is an ENE
> CIR Receiver, model ENE0200.
> jordi@jordi-ubuntu:~$ lspnp
> 00:00 PNP0a08 (unknown)
> 00:01 ENE0200 (unknown)
> 00:02 PNP0200 AT DMA controller
> 00:03 PNP0103 High-Precision Event Timer
> 00:04 PNP0c04 Math coprocessor
> 00:05 PNP0c02 Motherboard resources
> 00:06 PNP0b00 AT real-time clock
> 00:07 PNP0303 IBM enhanced keyboard (101/102-key, PS/2 mouse support)
> 00:08 SYN0712 (unknown)
> 00:09 PNP0c02 Motherboard resources
> jordi@jordi-ubuntu:~$
>
> I'm looking for the drivers but I think it isn't supported in linux.
>
> Awaiting your news.
>
> Thank you very much
>
> ProblemType: Bug
> Architecture: amd64
> CheckboxSubmission: bcebcd0afb07ebec631dbc27ef4e6ef0
> CheckboxSystem: b1865df84255b8716d3bcc269ff410d1
> Date: Thu Dec 31 17:02:29 2009
> DistroRelease: Ubuntu 9.10
> ExecutablePath: /usr/bin/yelp
> InstallationMedia: Ubuntu 9.10 "Karmic Koala" - Release amd64 (20091027)
> NonfreeKernelModules: fglrx
> Package: yelp 2.28.0-0ubuntu2
> ProcEnviron:
> LANG=es_ES.UTF-8
> SHELL=/bin/bash
> ProcVersionSignature: Ubuntu 2.6.31-16.53-generic
> SourcePackage: yelp
> Uname: Linux 2.6.31-16-generic x86_64
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/501923/+subscribe
>

--
Enviat des del meu dispositiu mòbil

Revision history for this message
Maxim Levitsky (maximlevitsky) wrote :

You can disregard that patch, it won't help much.

During last week I did a lot of work on my new version of the driver that will be included in 2.6.36.
I have put it to gitorious.org at:

http://gitorious.org/ene-cir/ene-cir

You can download it ether by doing (preffered):
git clone git://gitorious.org/ene-cir/ene-cir.git

Then you can receive updates using
git pull

or you can press on 'Source tree' and download a snapshot by pressing 'Download master as tar.gz'

Revision history for this message
Jordi (pelegrin-jordi) wrote : Re: [Bug 501923] Re: ENE CIR Receiver chip don't work

Hi Maxim,

I've installed git-core and I've done git clone git://
gitorious.org/ene-cir/ene-cir.git (I send you an image with the result).

After, I've done: sudo modprobe lirc_ene0100, and modinfo lirc_ene0100, but
the filename is :filename:
/lib/modules/2.6.32-24-generic/kernel/ubuntu/lirc/lirc_ene0100/lirc_ene0100.ko
the ".../misc/..." doesn't appears.

After I've done:
sudo modprobe -r lirc_ene0100
WARNING: All config files need .conf: /etc/modprobe.d/omnibook, it will be
ignored in a future release.
sudo modprobe lirc_ene0100 debug=1
WARNING: All config files need .conf: /etc/modprobe.d/omnibook, it will be
ignored in a future release.
FATAL: Error inserting lirc_ene0100
(/lib/modules/2.6.32-24-generic/kernel/ubuntu/lirc/lirc_ene0100/lirc_ene0100.ko):
Unknown symbol in module, or unknown parameter (see dmesg)

cat /proc/interrupts | grep ene
Don't show results.

What can I do?

Thank you very much?

2010/8/30 Maxim Levitsky <email address hidden>

> You can disregard that patch, it won't help much.
>
> During last week I did a lot of work on my new version of the driver that
> will be included in 2.6.36.
> I have put it to gitorious.org at:
>
> http://gitorious.org/ene-cir/ene-cir
>
> You can download it ether by doing (preffered):
> git clone git://gitorious.org/ene-cir/ene-cir.git
>
> Then you can receive updates using
> git pull
>
> or you can press on 'Source tree' and download a snapshot by pressing
> 'Download master as tar.gz'
>
> --
> ENE CIR Receiver chip don't work
> https://bugs.launchpad.net/bugs/501923
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “linux” package in Ubuntu: In Progress
>
> Bug description:
> I'm an Ubuntu 9.10 64 bits user, and I get a Toshiba A500-141 laptop.
>
> I try to use the IRDA Remote controller (RC6ir), and the Receiver is an ENE
> CIR Receiver, model ENE0200.
> jordi@jordi-ubuntu:~$ lspnp
> 00:00 PNP0a08 (unknown)
> 00:01 ENE0200 (unknown)
> 00:02 PNP0200 AT DMA controller
> 00:03 PNP0103 High-Precision Event Timer
> 00:04 PNP0c04 Math coprocessor
> 00:05 PNP0c02 Motherboard resources
> 00:06 PNP0b00 AT real-time clock
> 00:07 PNP0303 IBM enhanced keyboard (101/102-key, PS/2 mouse support)
> 00:08 SYN0712 (unknown)
> 00:09 PNP0c02 Motherboard resources
> jordi@jordi-ubuntu:~$
>
> I'm looking for the drivers but I think it isn't supported in linux.
>
> Awaiting your news.
>
> Thank you very much
>
> ProblemType: Bug
> Architecture: amd64
> CheckboxSubmission: bcebcd0afb07ebec631dbc27ef4e6ef0
> CheckboxSystem: b1865df84255b8716d3bcc269ff410d1
> Date: Thu Dec 31 17:02:29 2009
> DistroRelease: Ubuntu 9.10
> ExecutablePath: /usr/bin/yelp
> InstallationMedia: Ubuntu 9.10 "Karmic Koala" - Release amd64 (20091027)
> NonfreeKernelModules: fglrx
> Package: yelp 2.28.0-0ubuntu2
> ProcEnviron:
> LANG=es_ES.UTF-8
> SHELL=/bin/bash
> ProcVersionSignature: Ubuntu 2.6.31-16.53-generic
> SourcePackage: yelp
> Uname: Linux 2.6.31-16-generic x86_64
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/501923/+subscribe
>

Revision history for this message
Maxim Levitsky (maximlevitsky) wrote :

Of course.
New driver is called ene_ir.
Please contact me via IRC, if you can now, I guide you how to install.

Basicly you only need to run misc/ene_test program once and your remote should start working right away.

Revision history for this message
Maxim Levitsky (maximlevitsky) wrote :

This is attempt to give (copy me) instructions on how to install the driver.

First remove the existing lirc drivers:
$ rm /lib/modules/2.6.32-24-generic/kernel/ubuntu/lirc/lirc_ene0100/lirc_ene0100.ko
$ rm /lib/modules/2.6.32-24-generic/kernel/ubuntu/lirc/lirc_ene0100/lirc_dev.ko

Now update the driver cache:
$ sudo depmod -a

now verify that lirc drivers don't exist:

$ modinfo lirc_ene0100
ERROR: modinfo: could not find module lirc_ene0100
$ modinfo lirc_dev
ERROR: modinfo: could not find module lirc_dev

Now you download it:
$ git clone git://gitorious.org/ene-cir/ene-cir.git

You didn't noticed that, but that creates a folder with name ene-cir
Therefore you need to enter it:
$ cd ene-cir/

Now compile it
$ make

Install:

$ sudo make install

Load the driver:
$ ./misc/ene_test
ENE driver reloaded

Now your remote should work. no need to start lirc.

If you want to use lirc yet, copy the
./misc/70-disable-ir-decoding.rules to /etc/udev/rules.d/

$ sudo cp ./misc/70-disable-ir-decoding.rules /etc/udev/rules.d/

Then exectute the ene_test again, and verify that only lirc installed.
In other words this:

$ ./misc/ene_test
ENE driver reloaded

$ cat /sys/class/rc/rc0/protocols
rc-5 nec rc-6 jvc sony [lirc]

Revision history for this message
Jordi (pelegrin-jordi) wrote :
Download full text (3.5 KiB)

That's great !!!
Perfect job !

I've installed the driver following your easy instructions and works very
well.

Maxim, just one question, some buttons doesn't works (window button, Media
Player button, DVD player button, bright up button, bright down button,
information button) it's possible to configure this buttons, for example
window button -> Application menu, Media Player button -> Totem, etc.
I send you a file with remote control photo.

Thank you very much for your time and patience with me.
It has been a pleasure contact with you.

Jordi.

2010/9/7 Maxim Levitsky <email address hidden>

> This is attempt to give (copy me) instructions on how to install the
> driver.
>
> First remove the existing lirc drivers:
> $ rm
> /lib/modules/2.6.32-24-generic/kernel/ubuntu/lirc/lirc_ene0100/lirc_ene0100.ko
> $ rm
> /lib/modules/2.6.32-24-generic/kernel/ubuntu/lirc/lirc_ene0100/lirc_dev.ko
>
> Now update the driver cache:
> $ sudo depmod -a
>
> now verify that lirc drivers don't exist:
>
> $ modinfo lirc_ene0100
> ERROR: modinfo: could not find module lirc_ene0100
> $ modinfo lirc_dev
> ERROR: modinfo: could not find module lirc_dev
>
>
> Now you download it:
> $ git clone git://gitorious.org/ene-cir/ene-cir.git
>
> You didn't noticed that, but that creates a folder with name ene-cir
> Therefore you need to enter it:
> $ cd ene-cir/
>
>
> Now compile it
> $ make
>
> Install:
>
> $ sudo make install
>
> Load the driver:
> $ ./misc/ene_test
> ENE driver reloaded
>
> Now your remote should work. no need to start lirc.
>
> If you want to use lirc yet, copy the
> ./misc/70-disable-ir-decoding.rules to /etc/udev/rules.d/
>
> $ sudo cp ./misc/70-disable-ir-decoding.rules /etc/udev/rules.d/
>
> Then exectute the ene_test again, and verify that only lirc installed.
> In other words this:
>
> $ ./misc/ene_test
> ENE driver reloaded
>
> $ cat /sys/class/rc/rc0/protocols
> rc-5 nec rc-6 jvc sony [lirc]
>
> --
> ENE CIR Receiver chip don't work
> https://bugs.launchpad.net/bugs/501923
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “linux” package in Ubuntu: In Progress
>
> Bug description:
> I'm an Ubuntu 9.10 64 bits user, and I get a Toshiba A500-141 laptop.
>
> I try to use the IRDA Remote controller (RC6ir), and the Receiver is an ENE
> CIR Receiver, model ENE0200.
> jordi@jordi-ubuntu:~$ lspnp
> 00:00 PNP0a08 (unknown)
> 00:01 ENE0200 (unknown)
> 00:02 PNP0200 AT DMA controller
> 00:03 PNP0103 High-Precision Event Timer
> 00:04 PNP0c04 Math coprocessor
> 00:05 PNP0c02 Motherboard resources
> 00:06 PNP0b00 AT real-time clock
> 00:07 PNP0303 IBM enhanced keyboard (101/102-key, PS/2 mouse support)
> 00:08 SYN0712 (unknown)
> 00:09 PNP0c02 Motherboard resources
> jordi@jordi-ubuntu:~$
>
> I'm looking for the drivers but I think it isn't supported in linux.
>
> Awaiting your news.
>
> Thank you very much
>
> ProblemType: Bug
> Architecture: amd64
> CheckboxSubmission: bcebcd0afb07ebec631dbc27ef4e6ef0
> CheckboxSystem: b1865df84255b8716d3bcc269ff410d1
> Date: Thu Dec 31 17:02:29 2009
> DistroRelease: Ubuntu 9.10
> ExecutablePath: /usr/bin/yelp
> InstallationMedia: Ubuntu 9.10 "Karmic Koala" - Release a...

Read more...

Revision history for this message
Jordi (pelegrin-jordi) wrote :
Download full text (3.5 KiB)

That's great !!!
Perfect job !

I've installed the driver following your easy instructions and works very
well.

Maxim, just one question, some buttons doesn't works (window button, Media
Player button, DVD player button, bright up button, bright down button,
information button) it's possible to configure this buttons, for example
window button -> Application menu, Media Player button -> Totem, etc.
I send you a file with remote control photo.

Thank you very much for your time and patience with me.
It has been a pleasure contact with you.

Jordi.

2010/9/7 Maxim Levitsky <email address hidden>

> This is attempt to give (copy me) instructions on how to install the
> driver.
>
> First remove the existing lirc drivers:
> $ rm
> /lib/modules/2.6.32-24-generic/kernel/ubuntu/lirc/lirc_ene0100/lirc_ene0100.ko
> $ rm
> /lib/modules/2.6.32-24-generic/kernel/ubuntu/lirc/lirc_ene0100/lirc_dev.ko
>
> Now update the driver cache:
> $ sudo depmod -a
>
> now verify that lirc drivers don't exist:
>
> $ modinfo lirc_ene0100
> ERROR: modinfo: could not find module lirc_ene0100
> $ modinfo lirc_dev
> ERROR: modinfo: could not find module lirc_dev
>
>
> Now you download it:
> $ git clone git://gitorious.org/ene-cir/ene-cir.git
>
> You didn't noticed that, but that creates a folder with name ene-cir
> Therefore you need to enter it:
> $ cd ene-cir/
>
>
> Now compile it
> $ make
>
> Install:
>
> $ sudo make install
>
> Load the driver:
> $ ./misc/ene_test
> ENE driver reloaded
>
> Now your remote should work. no need to start lirc.
>
> If you want to use lirc yet, copy the
> ./misc/70-disable-ir-decoding.rules to /etc/udev/rules.d/
>
> $ sudo cp ./misc/70-disable-ir-decoding.rules /etc/udev/rules.d/
>
> Then exectute the ene_test again, and verify that only lirc installed.
> In other words this:
>
> $ ./misc/ene_test
> ENE driver reloaded
>
> $ cat /sys/class/rc/rc0/protocols
> rc-5 nec rc-6 jvc sony [lirc]
>
> --
> ENE CIR Receiver chip don't work
> https://bugs.launchpad.net/bugs/501923
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “linux” package in Ubuntu: In Progress
>
> Bug description:
> I'm an Ubuntu 9.10 64 bits user, and I get a Toshiba A500-141 laptop.
>
> I try to use the IRDA Remote controller (RC6ir), and the Receiver is an ENE
> CIR Receiver, model ENE0200.
> jordi@jordi-ubuntu:~$ lspnp
> 00:00 PNP0a08 (unknown)
> 00:01 ENE0200 (unknown)
> 00:02 PNP0200 AT DMA controller
> 00:03 PNP0103 High-Precision Event Timer
> 00:04 PNP0c04 Math coprocessor
> 00:05 PNP0c02 Motherboard resources
> 00:06 PNP0b00 AT real-time clock
> 00:07 PNP0303 IBM enhanced keyboard (101/102-key, PS/2 mouse support)
> 00:08 SYN0712 (unknown)
> 00:09 PNP0c02 Motherboard resources
> jordi@jordi-ubuntu:~$
>
> I'm looking for the drivers but I think it isn't supported in linux.
>
> Awaiting your news.
>
> Thank you very much
>
> ProblemType: Bug
> Architecture: amd64
> CheckboxSubmission: bcebcd0afb07ebec631dbc27ef4e6ef0
> CheckboxSystem: b1865df84255b8716d3bcc269ff410d1
> Date: Thu Dec 31 17:02:29 2009
> DistroRelease: Ubuntu 9.10
> ExecutablePath: /usr/bin/yelp
> InstallationMedia: Ubuntu 9.10 "Karmic Koala" - Release a...

Read more...

Revision history for this message
Alexander Skiba (ghostlyrics) wrote :

Removed unnecessary stuff from the image.

Revision history for this message
Maxim Levitsky (maximlevitsky) wrote :

This is mostly due to X limitation of keycodes less that 248.

Could you connect to me via IRC tommorow at evening?
I am too tired now to give detailed instructions on how to tweak the keymap.

Revision history for this message
Maxim Levitsky (maximlevitsky) wrote :

And I understand that Alexander Skiba and Jordi both are the same person, right?

Revision history for this message
Alexander Skiba (ghostlyrics) wrote :

nope, we're not

Revision history for this message
Jordi (pelegrin-jordi) wrote :

Hi Maxim,

I'm in Spain with GMT+1 time zone.
Could you connect by IRC at 22h this night or is too late for you?

2010/9/8 Maxim Levitsky <email address hidden>

> This is mostly due to X limitation of keycodes less that 248.
>
> Could you connect to me via IRC tommorow at evening?
> I am too tired now to give detailed instructions on how to tweak the
> keymap.
>
> --
> ENE CIR Receiver chip don't work
> https://bugs.launchpad.net/bugs/501923
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “linux” package in Ubuntu: In Progress
>
> Bug description:
> I'm an Ubuntu 9.10 64 bits user, and I get a Toshiba A500-141 laptop.
>
> I try to use the IRDA Remote controller (RC6ir), and the Receiver is an ENE
> CIR Receiver, model ENE0200.
> jordi@jordi-ubuntu:~$ lspnp
> 00:00 PNP0a08 (unknown)
> 00:01 ENE0200 (unknown)
> 00:02 PNP0200 AT DMA controller
> 00:03 PNP0103 High-Precision Event Timer
> 00:04 PNP0c04 Math coprocessor
> 00:05 PNP0c02 Motherboard resources
> 00:06 PNP0b00 AT real-time clock
> 00:07 PNP0303 IBM enhanced keyboard (101/102-key, PS/2 mouse support)
> 00:08 SYN0712 (unknown)
> 00:09 PNP0c02 Motherboard resources
> jordi@jordi-ubuntu:~$
>
> I'm looking for the drivers but I think it isn't supported in linux.
>
> Awaiting your news.
>
> Thank you very much
>
> ProblemType: Bug
> Architecture: amd64
> CheckboxSubmission: bcebcd0afb07ebec631dbc27ef4e6ef0
> CheckboxSystem: b1865df84255b8716d3bcc269ff410d1
> Date: Thu Dec 31 17:02:29 2009
> DistroRelease: Ubuntu 9.10
> ExecutablePath: /usr/bin/yelp
> InstallationMedia: Ubuntu 9.10 "Karmic Koala" - Release amd64 (20091027)
> NonfreeKernelModules: fglrx
> Package: yelp 2.28.0-0ubuntu2
> ProcEnviron:
> LANG=es_ES.UTF-8
> SHELL=/bin/bash
> ProcVersionSignature: Ubuntu 2.6.31-16.53-generic
> SourcePackage: yelp
> Uname: Linux 2.6.31-16-generic x86_64
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/501923/+subscribe
>

Revision history for this message
Maxim Levitsky (maximlevitsky) wrote :

On Wed, 2010-09-08 at 12:08 +0000, Jordi wrote:
> Hi Maxim,
>
> I'm in Spain with GMT+1 time zone.
> Could you connect by IRC at 22h this night or is too late for you?

Sure no problem.

Best regards,
Maxim Levitsky

Revision history for this message
Alexander Skiba (ghostlyrics) wrote :

If it's no problem I'd be grateful if that'd be in #lirc instead of private, so I can see too. Stops having to re-read everything for the same hardware. :)

Revision history for this message
Jordi (pelegrin-jordi) wrote :

Hi Maxim, I'm connected like "akyra" in freenode.
Where are you?

2010/9/8 Maxim Levitsky <email address hidden>

> This is mostly due to X limitation of keycodes less that 248.
>
> Could you connect to me via IRC tommorow at evening?
> I am too tired now to give detailed instructions on how to tweak the
> keymap.
>
> --
> ENE CIR Receiver chip don't work
> https://bugs.launchpad.net/bugs/501923
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “linux” package in Ubuntu: In Progress
>
> Bug description:
> I'm an Ubuntu 9.10 64 bits user, and I get a Toshiba A500-141 laptop.
>
> I try to use the IRDA Remote controller (RC6ir), and the Receiver is an ENE
> CIR Receiver, model ENE0200.
> jordi@jordi-ubuntu:~$ lspnp
> 00:00 PNP0a08 (unknown)
> 00:01 ENE0200 (unknown)
> 00:02 PNP0200 AT DMA controller
> 00:03 PNP0103 High-Precision Event Timer
> 00:04 PNP0c04 Math coprocessor
> 00:05 PNP0c02 Motherboard resources
> 00:06 PNP0b00 AT real-time clock
> 00:07 PNP0303 IBM enhanced keyboard (101/102-key, PS/2 mouse support)
> 00:08 SYN0712 (unknown)
> 00:09 PNP0c02 Motherboard resources
> jordi@jordi-ubuntu:~$
>
> I'm looking for the drivers but I think it isn't supported in linux.
>
> Awaiting your news.
>
> Thank you very much
>
> ProblemType: Bug
> Architecture: amd64
> CheckboxSubmission: bcebcd0afb07ebec631dbc27ef4e6ef0
> CheckboxSystem: b1865df84255b8716d3bcc269ff410d1
> Date: Thu Dec 31 17:02:29 2009
> DistroRelease: Ubuntu 9.10
> ExecutablePath: /usr/bin/yelp
> InstallationMedia: Ubuntu 9.10 "Karmic Koala" - Release amd64 (20091027)
> NonfreeKernelModules: fglrx
> Package: yelp 2.28.0-0ubuntu2
> ProcEnviron:
> LANG=es_ES.UTF-8
> SHELL=/bin/bash
> ProcVersionSignature: Ubuntu 2.6.31-16.53-generic
> SourcePackage: yelp
> Uname: Linux 2.6.31-16-generic x86_64
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/501923/+subscribe
>

Revision history for this message
Jordi (pelegrin-jordi) wrote :

And I'm connected in #lirc

2010/9/8 jordi pelegrin <email address hidden>

> Hi Maxim, I'm connected like "akyra" in freenode.
> Where are you?
>
> 2010/9/8 Maxim Levitsky <email address hidden>
>
>> This is mostly due to X limitation of keycodes less that 248.
>>
>>
>> Could you connect to me via IRC tommorow at evening?
>> I am too tired now to give detailed instructions on how to tweak the
>> keymap.
>>
>> --
>> ENE CIR Receiver chip don't work
>> https://bugs.launchpad.net/bugs/501923
>> You received this bug notification because you are a direct subscriber
>> of the bug.
>>
>> Status in “linux” package in Ubuntu: In Progress
>>
>> Bug description:
>> I'm an Ubuntu 9.10 64 bits user, and I get a Toshiba A500-141 laptop.
>>
>> I try to use the IRDA Remote controller (RC6ir), and the Receiver is an
>> ENE CIR Receiver, model ENE0200.
>> jordi@jordi-ubuntu:~$ lspnp
>> 00:00 PNP0a08 (unknown)
>> 00:01 ENE0200 (unknown)
>> 00:02 PNP0200 AT DMA controller
>> 00:03 PNP0103 High-Precision Event Timer
>> 00:04 PNP0c04 Math coprocessor
>> 00:05 PNP0c02 Motherboard resources
>> 00:06 PNP0b00 AT real-time clock
>> 00:07 PNP0303 IBM enhanced keyboard (101/102-key, PS/2 mouse support)
>> 00:08 SYN0712 (unknown)
>> 00:09 PNP0c02 Motherboard resources
>> jordi@jordi-ubuntu:~$
>>
>> I'm looking for the drivers but I think it isn't supported in linux.
>>
>> Awaiting your news.
>>
>> Thank you very much
>>
>> ProblemType: Bug
>> Architecture: amd64
>> CheckboxSubmission: bcebcd0afb07ebec631dbc27ef4e6ef0
>> CheckboxSystem: b1865df84255b8716d3bcc269ff410d1
>> Date: Thu Dec 31 17:02:29 2009
>> DistroRelease: Ubuntu 9.10
>> ExecutablePath: /usr/bin/yelp
>> InstallationMedia: Ubuntu 9.10 "Karmic Koala" - Release amd64 (20091027)
>> NonfreeKernelModules: fglrx
>> Package: yelp 2.28.0-0ubuntu2
>> ProcEnviron:
>> LANG=es_ES.UTF-8
>> SHELL=/bin/bash
>> ProcVersionSignature: Ubuntu 2.6.31-16.53-generic
>> SourcePackage: yelp
>> Uname: Linux 2.6.31-16-generic x86_64
>>
>> To unsubscribe from this bug, go to:
>> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/501923/+subscribe
>>
>
>

Revision history for this message
Maxim Levitsky (maximlevitsky) wrote :

On Wed, 2010-09-08 at 20:10 +0000, Jordi wrote:
> And I'm connected in #lirc

Sorry for not beeing connected.
I really really sorry.

I am on IRC all day today, so feel free to ping me.

Best regards,
Maxim Levitsky

Revision history for this message
Jordi (pelegrin-jordi) wrote :

Hi Maxim,

I send you a file with the buttons raw codes, and buttons with the code but
without function associated or bad function.

Oh Maxim, did you pass your exams? ;)

Thank you very much

Best Regards
Jordi

2010/9/9 Maxim Levitsky <email address hidden>

> On Wed, 2010-09-08 at 20:10 +0000, Jordi wrote:
> > And I'm connected in #lirc
>
> Sorry for not beeing connected.
> I really really sorry.
>
> I am on IRC all day today, so feel free to ping me.
>
> Best regards,
> Maxim Levitsky
>
> --
> ENE CIR Receiver chip don't work
> https://bugs.launchpad.net/bugs/501923
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “linux” package in Ubuntu: In Progress
>
> Bug description:
> I'm an Ubuntu 9.10 64 bits user, and I get a Toshiba A500-141 laptop.
>
> I try to use the IRDA Remote controller (RC6ir), and the Receiver is an ENE
> CIR Receiver, model ENE0200.
> jordi@jordi-ubuntu:~$ lspnp
> 00:00 PNP0a08 (unknown)
> 00:01 ENE0200 (unknown)
> 00:02 PNP0200 AT DMA controller
> 00:03 PNP0103 High-Precision Event Timer
> 00:04 PNP0c04 Math coprocessor
> 00:05 PNP0c02 Motherboard resources
> 00:06 PNP0b00 AT real-time clock
> 00:07 PNP0303 IBM enhanced keyboard (101/102-key, PS/2 mouse support)
> 00:08 SYN0712 (unknown)
> 00:09 PNP0c02 Motherboard resources
> jordi@jordi-ubuntu:~$
>
> I'm looking for the drivers but I think it isn't supported in linux.
>
> Awaiting your news.
>
> Thank you very much
>
> ProblemType: Bug
> Architecture: amd64
> CheckboxSubmission: bcebcd0afb07ebec631dbc27ef4e6ef0
> CheckboxSystem: b1865df84255b8716d3bcc269ff410d1
> Date: Thu Dec 31 17:02:29 2009
> DistroRelease: Ubuntu 9.10
> ExecutablePath: /usr/bin/yelp
> InstallationMedia: Ubuntu 9.10 "Karmic Koala" - Release amd64 (20091027)
> NonfreeKernelModules: fglrx
> Package: yelp 2.28.0-0ubuntu2
> ProcEnviron:
> LANG=es_ES.UTF-8
> SHELL=/bin/bash
> ProcVersionSignature: Ubuntu 2.6.31-16.53-generic
> SourcePackage: yelp
> Uname: Linux 2.6.31-16-generic x86_64
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/501923/+subscribe
>

Revision history for this message
Maxim Levitsky (maximlevitsky) wrote :

>BUTTONS WITHOUT CODE
>MEDIA_KEY -> I think shall open TOTEM
>Event: time 1284210623.832037, type 4 (Misc), code 4 (ScanCode), value 800f046f
>Event: time 1284210623.938322, type 4 (Misc), code 4 (ScanCode), value 800f046f
Fixed, but you will need to assign the key an application.
Use keyboard shotcuts.
Same applies to many keys below.

>START/STOP LAPTOP MEDIA BUTTON -> This button shall start and stop the laptop media buttons
>Event: time 1284210685.489937, type 4 (Misc), code 4 (ScanCode), value 800f0481
>Event: time 1284210685.594641, type 4 (Misc), code 4 (ScanCode), value 800f0481
Fixed.

>Bright up and bright down only works the firs time than I pulse, after doesn¡t works.
Not my fault unfortunately. gnome-power-manger really assumes you press these keys on keyboard.

>BRIGHT UP
>Event: time 1284210785.200374, type 4 (Misc), code 4 (ScanCode), value 800f0480
>Event: time 1284210785.200404, type 1 (Key), code 224 (Brightness down), value 1
Please double check that this button is brightness up, and not down.

>BRIGHT DOWN
>Event: time 1284210827.712463, type 4 (Misc), code 4 (ScanCode), value 800f043a
>Event: time 1284210827.712490, type 1 (Key), code 225 (Brightness up), value 1
Same here.

>WINDOWS BUTTON -> I think shall open Aplicattion Menu
>Event: time 1284210945.027445, type 4 (Misc), code 4 (ScanCode), value 800f040d
>Event: time 1284210945.027471, type 1 (Key), code 148 (Prog1), value 1
This key works.
I don't think you could assign it to Application menu easily.
Probably would need to assign it some shell script with dbus instructions.
Anyway, its gnome limitation.

>DVD BUTTON -> I think shall open XINE
>Event: time 1284210966.345781, type 4 (Misc), code 4 (ScanCode), value 800f0424
>Event: time 1284210966.345806, type 1 (Key), code 389 (DVD), value 1
Now fixed, but again, assign it in keyboard shortcuts.
Understand that now these keys send different keycodes, that are much more generic.
So you need to assign them. Or ask X devs to fix the 248 limit.

>INFORMATION BUTTON -> I don't know which is the normal use
>Event: time 1284211075.753796, type 4 (Misc), code 4 (ScanCode), value 800f040f
>Event: time 1284211075.753821, type 1 (Key), code 358 (Info), value 1
>Fixed, will open help by default.

>ARROW LEFT (BUT DIFFERENT THAT THE MOVEMENT LEFT, RIGHT, UP, DOWN BUTTONS)
>-> I don't know which is the normal use
>Event: time 1284211246.823264, type 4 (Misc), code 4 (ScanCode), value 800f0423
>Event: time 1284211246.823279, type 1 (Key), code 1 (Esc), value 1
This is assigned to Esc key.
I think the key means cancel.

Revision history for this message
Jordi (pelegrin-jordi) wrote :
Download full text (6.8 KiB)

Hi Maxim,
Sorry, I did a mistake with the bright buttons

The code is:
BRIGHT UP
Event: time 1284322292.776903, type 4 (Misc), code 4 (ScanCode), value
800f043a
Event: time 1284322292.776931, type 1 (Key), code 225 (Brightness up), value
1
Event: time 1284322292.776935, -------------- Report Sync ------------
Event: time 1284322292.883125, type 4 (Misc), code 4 (ScanCode), value
800f043a
Event: time 1284322293.021895, type 1 (Key), code 225 (Brightness up), value
2
Event: time 1284322293.061858, type 1 (Key), code 225 (Brightness up), value
2
Event: time 1284322293.101852, type 1 (Key), code 225 (Brightness up), value
2
Event: time 1284322293.141828, type 1 (Key), code 225 (Brightness up), value
2
Event: time 1284322293.181863, type 1 (Key), code 225 (Brightness up), value
2
Event: time 1284322293.221853, type 1 (Key), code 225 (Brightness up), value
2
Event: time 1284322293.231840, type 1 (Key), code 225 (Brightness up), value
0
Event: time 1284322293.231849, -------------- Report Sync ------------

BRIGHT DOWN
Event: time 1284322261.791224, type 4 (Misc), code 4 (ScanCode), value
800f0480
Event: time 1284322261.791235, type 1 (Key), code 224 (Brightness down),
value 1
Event: time 1284322261.791238, -------------- Report Sync ------------
Event: time 1284322261.897541, type 4 (Misc), code 4 (ScanCode), value
800f0480
Event: time 1284322262.003797, type 4 (Misc), code 4 (ScanCode), value
800f0480
Event: time 1284322262.034319, type 1 (Key), code 224 (Brightness down),
value 2
Event: time 1284322262.074306, type 1 (Key), code 224 (Brightness down),
value 2
Event: time 1284322262.114313, type 1 (Key), code 224 (Brightness down),
value 2
Event: time 1284322262.153407, type 1 (Key), code 224 (Brightness down),
value 2
Event: time 1284322262.194318, type 1 (Key), code 224 (Brightness down),
value 2
Event: time 1284322262.233583, type 1 (Key), code 224 (Brightness down),
value 2
Event: time 1284322262.274293, type 1 (Key), code 224 (Brightness down),
value 2
Event: time 1284322262.312470, type 1 (Key), code 224 (Brightness down),
value 2
Event: time 1284322262.354077, type 1 (Key), code 224 (Brightness down),
value 0
Event: time 1284322262.354085, -------------- Report Sync ------------

About Windows buttons, in windows open the Media Center, I think in Ubuntu
shall open XBMC, for example, and then I'll assing keyboard shortcut.
What do you think?

I don't kwon how to assing keyboard shortcuts, but I'll look for in google.

How can I do to update with the errors fixed?

Best Regards,
Jordi

2010/9/12 Maxim Levitsky <email address hidden>

> >BUTTONS WITHOUT CODE
> >MEDIA_KEY -> I think shall open TOTEM
> >Event: time 1284210623.832037, type 4 (Misc), code 4 (ScanCode), value
> 800f046f
> >Event: time 1284210623.938322, type 4 (Misc), code 4 (ScanCode), value
> 800f046f
> Fixed, but you will need to assign the key an application.
> Use keyboard shotcuts.
> Same applies to many keys below.
>
> >START/STOP LAPTOP MEDIA BUTTON -> This button shall start and stop the
> laptop media buttons
> >Event: time 1284210685.489937, type 4 (Misc), code 4 (ScanCode), value
> 800f0481
> >Event: time 1284210685.594641, type 4 (Misc), code 4 (ScanCode), value
>...

Read more...

Revision history for this message
Jordi (pelegrin-jordi) wrote : Re: Re: [Bug 501923] Re: ENE CIR Receiver chip don't work
Download full text (7.6 KiB)

Hi Maxim, the shortcuts is very easy an I've assigned shortcuts to Xine,
Totem, and XBMC.
How an I assing shortcuts to remote?

Thank you

Jordi

El 12/09/2010 22:19, jordi pelegrin <email address hidden> escribió:
> Hi Maxim,
> Sorry, I did a mistake with the bright buttons

> The code is:
> BRIGHT UP
> Event: time 1284322292.776903, type 4 (Misc), code 4 (ScanCode), value
> 800f043a
> Event: time 1284322292.776931, type 1 (Key), code 225 (Brightness up),
> value 1

> Event: time 1284322292.776935, -------------- Report Sync ------------
> Event: time 1284322292.883125, type 4 (Misc), code 4 (ScanCode), value
> 800f043a
> Event: time 1284322293.021895, type 1 (Key), code 225 (Brightness up),
> value 2

> Event: time 1284322293.061858, type 1 (Key), code 225 (Brightness up),
> value 2
> Event: time 1284322293.101852, type 1 (Key), code 225 (Brightness up),
> value 2
> Event: time 1284322293.141828, type 1 (Key), code 225 (Brightness up),
> value 2

> Event: time 1284322293.181863, type 1 (Key), code 225 (Brightness up),
> value 2
> Event: time 1284322293.221853, type 1 (Key), code 225 (Brightness up),
> value 2
> Event: time 1284322293.231840, type 1 (Key), code 225 (Brightness up),
> value 0

> Event: time 1284322293.231849, -------------- Report Sync ------------

> BRIGHT DOWN
> Event: time 1284322261.791224, type 4 (Misc), code 4 (ScanCode), value
> 800f0480
> Event: time 1284322261.791235, type 1 (Key), code 224 (Brightness down),
> value 1

> Event: time 1284322261.791238, -------------- Report Sync ------------
> Event: time 1284322261.897541, type 4 (Misc), code 4 (ScanCode), value
> 800f0480
> Event: time 1284322262.003797, type 4 (Misc), code 4 (ScanCode), value
> 800f0480

> Event: time 1284322262.034319, type 1 (Key), code 224 (Brightness down),
> value 2
> Event: time 1284322262.074306, type 1 (Key), code 224 (Brightness down),
> value 2
> Event: time 1284322262.114313, type 1 (Key), code 224 (Brightness down),
> value 2

> Event: time 1284322262.153407, type 1 (Key), code 224 (Brightness down),
> value 2
> Event: time 1284322262.194318, type 1 (Key), code 224 (Brightness down),
> value 2
> Event: time 1284322262.233583, type 1 (Key), code 224 (Brightness down),
> value 2

> Event: time 1284322262.274293, type 1 (Key), code 224 (Brightness down),
> value 2
> Event: time 1284322262.312470, type 1 (Key), code 224 (Brightness down),
> value 2
> Event: time 1284322262.354077, type 1 (Key), code 224 (Brightness down),
> value 0

> Event: time 1284322262.354085, -------------- Report Sync ------------

> About Windows buttons, in windows open the Media Center, I think in
> Ubuntu shall open XBMC, for example, and then I'll assing keyboard
> shortcut.

> What do you think?

> I don't kwon how to assing keyboard shortcuts, but I'll look for in
> google.

> How can I do to update with the errors fixed?

> Best Regards,
> Jordi

> 2010/9/12 Maxim Levitsky <email address hidden>>

> >BUTTONS WITHOUT CODE

> >MEDIA_KEY -> I think shall open TOTEM

> >Event: time 1284210623.832037, ty...

Read more...

Revision history for this message
Maxim Levitsky (maximlevitsky) wrote :

@Jordi, just execute 'git pull' in driver directory if you have it.
If not, download it again.

Revision history for this message
Maxim Levitsky (maximlevitsky) wrote :

Of course, after that you need to compile and install the driver as usual.

Revision history for this message
Michael Vogt (mvo) wrote :

Hey Maxim, thanks a lot for adding the patch to this bugreport and for your upstream work :)

I just checked and the patch attached to this bugreport is part of our lirc package in both maverick and natty. I will therefore remove the ubuntu-sponsors team as there is nothing obvious to sponsor here (unless this is meant as a SRU request for lucid, in this case, please mention that and update the debdiff and resubscribe ubuntu-sponsors).

Thanks!
 Michael

Revision history for this message
mgp (mgp-kubuntu-deactivatedaccount) wrote :

Hi all,

I have been trying this fix on Kubuntu 10.10. However, I get an error while executing:

$ ./misc/ene_test
FATAL: Error inserting ene_ir (/lib/modules/2.6.35-22-generic-pae/extra/ene_ir.ko): Unknown symbol in module, or unknown parameter (see dmesg)

It seems the problem in the script is with the command:

$sudo modprobe ene_ir
FATAL: Error inserting ene_ir (/lib/modules/2.6.35-22-generic-pae/extra/ene_ir.ko): Unknown symbol in module, or unknown parameter (see dmesg)

My dmesg has the following:

$ dmesg
[26591.640179] lirc_dev: module unloaded
[26591.816225] ene_ir: Unknown symbol ir_raw_event_set_idle (err 0)
[26591.816346] ene_ir: disagrees about version of symbol ir_raw_event_handle
[26591.816349] ene_ir: Unknown symbol ir_raw_event_handle (err -22)
[26591.816446] ene_ir: disagrees about version of symbol ir_raw_event_store
[26591.816449] ene_ir: Unknown symbol ir_raw_event_store (err -22)
[26591.816547] ene_ir: disagrees about version of symbol __ir_input_register
[26591.816549] ene_ir: Unknown symbol __ir_input_register (err -22)
[26591.816842] ene_ir: disagrees about version of symbol ir_input_unregister
[26591.816844] ene_ir: Unknown symbol ir_input_unregister (err -22)
[26591.817034] ene_ir: Unknown symbol ir_raw_event_store_with_filter (err 0)
[26591.823136] IR NEC protocol handler initialized
[26591.825586] IR RC5(x) protocol handler initialized
[26591.827663] IR RC6 protocol handler initialized
[26591.830042] IR JVC protocol handler initialized
[26591.844248] IR Sony protocol handler initialized
[26591.857068] lirc_dev: IR Remote Control driver registered, major 250
[26591.865004] ir_lirc_codec: disagrees about version of symbol lirc_dev_fop_poll
[26591.865008] ir_lirc_codec: Unknown symbol lirc_dev_fop_poll (err -22)
[26591.865121] ir_lirc_codec: disagrees about version of symbol lirc_dev_fop_open
[26591.865124] ir_lirc_codec: Unknown symbol lirc_dev_fop_open (err -22)
[26591.865218] ir_lirc_codec: disagrees about version of symbol lirc_get_pdata
[26591.865221] ir_lirc_codec: Unknown symbol lirc_get_pdata (err -22)
[26591.865320] ir_lirc_codec: disagrees about version of symbol lirc_dev_fop_close
[26591.865322] ir_lirc_codec: Unknown symbol lirc_dev_fop_close (err -22)
[26591.865405] ir_lirc_codec: disagrees about version of symbol lirc_dev_fop_read
[26591.865407] ir_lirc_codec: Unknown symbol lirc_dev_fop_read (err -22)
[26591.865488] ir_lirc_codec: disagrees about version of symbol lirc_register_driver
[26591.865491] ir_lirc_codec: Unknown symbol lirc_register_driver (err -22)
[26591.865693] ir_lirc_codec: disagrees about version of symbol lirc_dev_fop_ioctl
[26591.865695] ir_lirc_codec: Unknown symbol lirc_dev_fop_ioctl (err -22)

I have the same remote as Jordi. I remain at your disposal for any further information you may require.

Thanks for your work!

Best,

Michael

Revision history for this message
bigcrunch (bigcrunch) wrote :

I have the same problem than mgp, but I use Ubuntu 10.10

Thank you!

Revision history for this message
Daniel M. Basso (dmbasso) wrote :

Thanx for all your work, Maxim. Finally I got the IR control of my Satellite A660-12x to work on Ubuntu 10.10.

Quick instructions for all the affected people:

$ git clone git://gitorious.org/ene-cir/ene-cir.git # download the module sources
$ cd ene-cir
$ make
$ modinfo lirc_dev # check where the current driver is installed (in my case /lib/modules/2.6.35-23-generic/kernel/drivers/media/IR)
$ mv /lib/modules/2.6.35-23-generic/kernel/drivers/media/IR bkpIR # move the whole IR folder out of the modules' path
$ sudo make install
$ reboot

Now you can check if it worked with 'xev', press some buttons and see the event codes it should generate.

The 'ir_lirc_codec: disagrees about version of symbol' errors previously reported were caused by some older drivers in the IR folder still being loaded, so make sure to do that 'mv'.

Cheers,

Daniel

Revision history for this message
bigcrunch (bigcrunch) wrote :

Work perfect! Thank you very much Daniel!!!

Revision history for this message
marco caneve (marcocaneve) wrote :

hi maxime, i have the remote control G83C0008A110 (look the photo)
and my pc is a toshiba a500 14F

i follow your guide, without error, but the remote control don't work
i try with xev and irw, but when i press the button on RC, nothing appear on shell

how i can know where is the problem?

Revision history for this message
bigcrunch (bigcrunch) wrote :

Hi marco, I have a Toshiba A660 with a G83C000AZ110 remote control and this guide work for me.

Have you installed the lirc package?

In some programs, you must config the lirc device for use it.

Revision history for this message
Andy Whitcroft (apw) wrote :

Confirming that the driver mentioned here for this hardware in now in the drivers/staging/lirc driver. I am therefore going to assume that this is Fix Released for Natty (and likely Maverick). Therefore closing out the development task.

Changed in linux (Ubuntu):
status: In Progress → Fix Released
Revision history for this message
Andy Whitcroft (apw) wrote :

Nice work all.

Revision history for this message
sharq1 (sharq1) wrote :

Will lirc_ene0100 driver be updated to work with kernel 3.0.0?
I'm using Mint 12 and I get this during installation ene-cir from git:

/home/sharq/ene-cir/rc-main.c: In function ‘rc_allocate_device’:
/home/sharq/ene-cir/rc-main.c:1039:16: error: ‘struct input_dev’ has no member named ‘getkeycode_new’
/home/sharq/ene-cir/rc-main.c:1040:16: error: ‘struct input_dev’ has no member named ‘setkeycode_new’
make[2]: *** [/home/sharq/ene-cir/rc-main.o] Error 1
make[1]: *** [_module_/home/sharq/ene-cir] Error 2
make[1]: Leaving directory `/usr/src/linux-headers-3.0.0-13-generic'
make: *** [build] Error 2

Regards

Revision history for this message
Maxim Levitsky (maximlevitsky) wrote :

ene_ir *is* included in 3.0.0.

Revision history for this message
sharq1 (sharq1) wrote :

Maxim: thanks, you are right.
Unfortunately this doesn't solve my issue - after loading lirc_dev and ene_ir modules i don't have lirc0 device in /dev (or any other device that has "ir" in name), there is only lircd device.

Regards

Revision history for this message
Maxim Levitsky (maximlevitsky) wrote :

Please post dmesg and lspnp output after you load the drivers.
lspnp isn't installed by default in ubuntu, so install it first.

Revision history for this message
sharq1 (sharq1) wrote :

Here they are

Revision history for this message
Maxim Levitsky (maximlevitsky) wrote :

Well, according to this output kernel driver works just fine.
You even have exact same device as I do.
It must have been an user error or some generic bug in lirc core.

Revision history for this message
sharq1 (sharq1) wrote :

Looks like I'm gonna have to live without IR for the time being, what a pity...
Anyway, thanks a lot for your help Maxim!

Revision history for this message
sharq1 (sharq1) wrote :

After updating kernel to version 3.0.0-14 lirc works like a charm :)

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers